BPI-R2 new image: BPI-R2 OpenWrt(LEDE) Souce code : 2018-05-09


#63

new Error after 2 hours compiling:

> Checking out files from the git repository...
> Cloning into 'ap51-flash-2016-10-16'...
> fatal: Could not read from remote repository.
> 
> Please make sure you have the correct access rights
> and the repository exists.

I put a51-flash out from config Now:

> help2man: can't get–help’ info from automake-1.15`

Try `--no-discard-stderr' if option outputs to stderr
Makefile:3687: recipe for target 'doc/automake-1.15.1' failed
make[4]: *** [doc/automake-1.15.1] Error 255

(gary) #64

I’m not sure what happens, but I have two suggestions:

  1. Use the packages of feeds from lede-170.01,
src-git packages git://git.lede-project.org/feed/packages.git;lede-17.01
src-git luci https://github.com/openwrt/luci.git;lede-17.01
src-git routing git://git.lede-project.org/feed/routing.git;lede-17.01
src-git telephony git://git.lede-project.org/feed/telephony.git;lede-17.01
  1. A few package of source code can’t be downloaded correctly, I have upload to baidu drive, you can copy them to /dl/, and then rebuild all project. link:https://pan.baidu.com/s/1S1HhIgcx6j_NF8MUR_NtlQ password:7cwf

#65

I already used the packages of feed from lede17.01

Thanks a lot @garywang, i will try… but from baidu, i have continiously connection losts. connection continiously lost ??? Cannot Download from Baidu, Can somebody (propably from China) load this to an google drive or something similar ?


#66

I run yet into this, no solution so far…


#67
Entering directory '/home/***/bpi-r2_lede/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/automake-1.15'
: && /bin/mkdir -p doc && { PATH='/home/***/bpi-r2_lede/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/automake-1.15/t/wrap:'$PATH && export PATH; } && /home/***/bpi-r2_lede/staging_dir/host/bin/perl ./doc/help2man --output=doc/automake-1.15.1 automake-1.15
help2man: can't get `--help' info from automake-1.15
Try `--no-discard-stderr' if option outputs to stderr
Makefile:3687: recipe for target 'doc/automake-1.15.1' failed
make[4]: *** [doc/automake-1.15.1] Error 255
make[4]: Leaving directory '/home/***/bpi-r2_lede/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/automake-1.15'
Makefile:65: recipe for target '/home/***/bpi-r2_lede/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/automake-1.15/.built' failed
make[3]: *** [/home/***/bpi-r2_lede/build_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/automake-1.15/.built] Error 2
make[3]: Leaving directory '/home/***/bpi-r2_lede/feeds/packages/devel/automake'
package/Makefile:109: recipe for target 'package/feeds/packages/automake/compile' failed
make[2]: *** [package/feeds/packages/automake/compile] Error 2
make[2]: Leaving directory '/home/***/bpi-r2_lede'
package/Makefile:105: recipe for target '/home/***/bpi-r2_lede/staging_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/stamp/.package_compile' failed
make[1]: *** [/home/***/bpi-r2_lede/staging_dir/target-arm_cortex-a7+neon-vfpv4_musl_eabi/stamp/.package_compile] Error 2
make[1]: Leaving directory '/home/***/bpi-r2_lede'
/home/***/bpi-r2_lede/include/toplevel.mk:207: recipe for target 'world' failed
make: *** [world] Error 2

(gary) #68

Please provide all compiling log.


#69

Hi, I will compile it tonight again and paste the whole log, in a data-file.


#70

@garywang i had to split the Log… Thanks log1-1 (274,8 KB) log1-2 (190,5 KB) log1-6 (174,1 KB) log1-4 (199,2 KB) log1-5 (194,9 KB) log1-3 (220,4 KB)


#71

i started from scratch, taken the config from here, changed only to hardfloat, choose luci, fdisk and blkid as packages… worked


#74

Hello Guys,

is it right that i cannot mount everything without for example compiling “kmod-fs-ext4” for ext4 ?

I need the packages for compiling, only errors if i compile more than the basic things…


#75

May I get little help…Boot Error after I enable some pci-e wireless card\

[   17.259734] lib80211: common routines for IEEE802.11 drivers\
[   17.270368] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)\
[   17.277647] ctnetlink v0.93: registering with nfnetlink.\
[   17.299797] Bluetooth: RFCOMM TTY layer initialized\
[   17.304652] Bluetooth: RFCOMM socket layer initialized\
[   17.309834] Bluetooth: RFCOMM ver 1.11\
[   17.319927] xt_time: kernel timezone is -0000\
[   17.327191] cfg80211: exports duplicate symbol __cfg80211_alloc_event_skb (owned by kernel)\
[   17.415680] Error: Driver 'gpio-keys' is already registered, aborting...\
[   17.538331] PPP generic driver version 2.4.2\
[   17.543281] NET: Registered protocol family 24\
[   17.550594] cfg80211: exports duplicate symbol __cfg80211_alloc_event_skb (owned by kernel)\
[   17.655686] Error: Driver 'gpio-keys' is already registered, aborting...\
[   17.778980] cfg80211: exports duplicate symbol __cfg80211_alloc_event_skb (owned by kernel)\
[   17.895692] Error: Driver 'gpio-keys' is already registered, aborting...\
[   18.015002] kmodloader: 18 modules could not be probed\
[   18.020136] kmodloader: dependency not loaded cfg80211\
[   18.025314] kmodloader: - ath - 1\
[   18.028626] kmodloader: dependency not loaded mac80211\
[   18.033746] kmodloader: dependency not loaded ath9k_hw\
[   18.038885] kmodloader: dependency not loaded ath9k_common\
[   18.044351] kmodloader: dependency not loaded cfg80211\
[   18.049505] kmodloader: dependency not loaded ath\
[   18.054195] kmodloader: - ath9k - 5\
[   18.057697] kmodloader: dependency not loaded ath9k_hw\
[   18.062816] kmodloader: dependency not loaded cfg80211\
[   18.067951] kmodloader: dependency not loaded ath\
[   18.072640] kmodloader: - ath9k_common - 3\
[   18.076744] kmodloader: dependency not loaded ath\
[   18.081433] kmodloader: - ath9k_hw - 1\
[   18.085192] kmodloader: dependency not loaded mac80211\
[   18.090315] kmodloader: dependency not loaded cfg80211\
[   18.095453] kmodloader: - b43 - 2\
[   18.098763] kmodloader: dependency not loaded mac80211\
[   18.103884] kmodloader: dependency not loaded cfg80211\
[   18.109020] kmodloader: - b43legacy - 2\
[   18.112848] kmodloader: dependency not loaded cfg80211\
[   18.117987] kmodloader: - brcmfmac - 1\
[   18.121730] kmodloader: dependency not loaded mac80211\
[   18.126866] kmodloader: dependency not loaded ath\
[   18.131554] kmodloader: dependency not loaded cfg80211\
[   18.136691] kmodloader: - carl9170 - 3\
[   18.140433] kmodloader: - cfg80211 - 0\
[   18.144176] kmodloader: - gpio-button-hotplug - 0\
[   18.148886] kmodloader: dependency not loaded iwlegacy\
[   18.154006] kmodloader: dependency not loaded mac80211\
[   18.159144] kmodloader: dependency not loaded cfg80211\
[   18.164264] kmodloader: - iwl3945 - 3\
[   18.167935] kmodloader: dependency not loaded iwlegacy\
[   18.173055] kmodloader: dependency not loaded mac80211\
[   18.178192] kmodloader: dependency not loaded cfg80211\
[   18.183311] kmodloader: - iwl4965 - 3\
[   18.186981] kmodloader: dependency not loaded mac80211\
[   18.192100] kmodloader: dependency not loaded iwlwifi\
[   18.197151] kmodloader: dependency not loaded cfg80211\
[   18.202270] kmodloader: - iwldvm - 3\
[   18.205855] kmodloader: dependency not loaded mac80211\
[   18.210974] kmodloader: dependency not loaded cfg80211\
[   18.216110] kmodloader: - iwlegacy - 2\
[   18.219852] kmodloader: dependency not loaded iwlwifi\
[   18.224901] kmodloader: dependency not loaded mac80211\
[   18.230021] kmodloader: dependency not loaded cfg80211\
[   18.235157] kmodloader: - iwlmvm - 3\
[   18.238727] kmodloader: dependency not loaded cfg80211\
[   18.243844] kmodloader: - iwlwifi - 1\
[   18.247515] kmodloader: dependency not loaded cfg80211\
[   18.252634] kmodloader: - mac80211 - 1\
[   18.256394] kmodloader: dependency not loaded mac80211\
[   18.261513] kmodloader: dependency not loaded cfg80211\
[   18.266649] kmodloader: - mt7601u - 2\
[   21.611099] mtk_soc_eth 1b100000.ethernet eth0: rx pause enabled, tx pause enabled\
[   21.615730] br-lan: port 1(lan0) entered blocking state\
[   21.615749] br-lan: port 1(lan0) entered disabled state\
[   21.616201] device lan0 entered promiscuous mode\
[   21.616204] device eth0 entered promiscuous mode

(Frank W.) #76

As far as i see you need at least mac80211 and cfg80211

dependency not loaded mac80211

#77

I tried to fix the problem of this page(How to use mini PCIe to connect to RTL8188CE?). The system could load the kernel module on the PCI wireless network card, but I encountered the following questions. And the ifconfig command still can’t see the wireless network interface.

image


#78

Hello, why we cant use /etc/config/wireless for wifi ?


(Frank W.) #79

Internal wifi-driver is activated via wmt-tools…mostly this happens after normal network-config is loaded…

in other words: At time network-config is loaded/activated, wlan0/ap0 does not exist because an other script must be executed first


#80

Thanks Frank, which script do i need to load the module ? I have a wireless config like

config wifi-device 'ap0'
        option type 'nl80211'
        option hwmode '11g'
        option path 'platform/ath9k'
        option country 'GR'
        option distance '50'
        option txpower '20'
        option channel 'auto'

config wifi-iface
        option device 'ap0'
        option ssid 'bpi'
#       option wmm '0'
        option key 'bpi'
        option network 'ap0'
#       option wpa_disable_eapol_key_retries '1'
        option mode 'ap'
#       option bssid 'root'
        option encryption 'none'
        option network 'ap0'

and after

wifi config

i try to start with

wifi

but error

 ap0(nl80211): Interface type not supported
 ap0(nl80211): Interface type not supported

(Frank W.) #81

I don’t know the name in openwrt,but driver is same as in ubuntu/debian…in official ubuntu its name is imho wifi.sh…

the script calls binaries wmt_loader and stp_uart_launcher which together creating ap0-device


#82

so to be clear, i don’t forget to kompile some Modules, i need only the script… to manually enter

wmt_loader
stp_uart_launcher -p /etc/firmware &
sleep 2
echo 1 > /dev/wmtWifi
exit 0

will not help, do i understand it right ?


(Frank W.) #83

I know wifi-driver is same as in ubuntu so ap0 needs to be created the same way…if you do it manually or run the script that should be exist and do the same is equal…after that you can apply your network-config…remember to restart daemons (hostapd,dnsmasq,…) after network config

Btw. Echo does not create ap0 but wlan0 = client-mode


#84

i dont use hostapd/dnsmasq… I have the wpad full installed and use odhcpd (isc-server in ubuntu) and wifi for hostapd

sorry, i only copied… for ap0 i used echo A …